UbixOS V2 2.0

Data Fields
cacheNode Struct Reference

`#include <dirCache.h>`

Collaboration diagram for cacheNode:

## Data Fields
uInt16 * | attributes
int | dirty
struct cacheNode * | fileListHead
struct cacheNode * | fileListTail
void * | info
char * | name
struct cacheNode * | next
struct cacheNode * | parent
uInt16 * | permissions
int | present
struct cacheNode * | prev
int * | size
uInt32 * | startCluster

## Detailed Description

Definition at line 35 of file dirCache.h.

## Field Documentation

## ◆ attributes

uInt16* cacheNode::attributes

Definition at line 47 of file dirCache.h.

Referenced by ubixfs_cacheNew(), and ubixfs_initialize().

## ◆ dirty

int cacheNode::dirty

Definition at line 45 of file dirCache.h.

Referenced by ubixfs_cacheNew().

## ◆ fileListHead

struct cacheNode* cacheNode::fileListHead

Definition at line 40 of file dirCache.h.

Referenced by ubixfs_cacheDelete(), and ubixfs_cacheNew().

## ◆ fileListTail

struct cacheNode* cacheNode::fileListTail

Definition at line 41 of file dirCache.h.

Referenced by ubixfs_cacheNew().

## ◆ info

void* cacheNode::info

Definition at line 42 of file dirCache.h.

Referenced by readUbixFS(), ubixfs_cacheDelete(), ubixfs_cacheNew(), and ubixfs_initialize().

## ◆ name

char* cacheNode::name

Definition at line 36 of file dirCache.h.

Referenced by ubixfs_cacheDelete(), and ubixfs_cacheNew().

## ◆ next

struct cacheNode* cacheNode::next

Definition at line 38 of file dirCache.h.

Referenced by ubixfs_cacheDelete(), and ubixfs_cacheNew().

## ◆ parent

struct cacheNode* cacheNode::parent

Definition at line 39 of file dirCache.h.

Referenced by ubixfs_cacheNew().

## ◆ permissions

uInt16* cacheNode::permissions

Definition at line 48 of file dirCache.h.

Referenced by ubixfs_cacheNew(), and ubixfs_initialize().

## ◆ present

int cacheNode::present

Definition at line 44 of file dirCache.h.

Referenced by readUbixFS(), ubixfs_cacheNew(), and ubixfs_initialize().

## ◆ prev

struct cacheNode* cacheNode::prev

Definition at line 37 of file dirCache.h.

Referenced by ubixfs_cacheNew().

## ◆ size

int* cacheNode::size

Definition at line 43 of file dirCache.h.

Referenced by ubixfs_cacheNew(), and ubixfs_initialize().

## ◆ startCluster

uInt32* cacheNode::startCluster

Definition at line 46 of file dirCache.h.

Referenced by ubixfs_cacheNew(), and ubixfs_initialize().

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/ubixfs/dirCache.h